function SetProTimingOption(option)
	-- write file
	local f = RageFileUtil.CreateRageFile();
	local fname = "ProTiming.cfg";
	
	if f:Open("Data/Preferences/TemplateTheme/"..fname, 2) then
		f:Write( tostring(option) );
		f:Close();
	else Trace("[dubaiOne:SetProTimingOption] Could not write " .. text .. " to " .. fname);
	end;
	
	f:destroy();
	-- write env
	setenv("ProTiming",option);
end;

function GetProTimingOption()
	local f = RageFileUtil.CreateRageFile();
	local option;
	
	if f:Open("Data/Preferences/TemplateTheme/ProTiming.cfg", 1) then
		option = f:Read();
		f:Close();
		setenv("ProTiming",option);
	else
		Trace("[dubaiOne:GetProTimingOption] Could not read config");
		f:destroy();
		setenv("ProTiming",true);
		return true;
	end;
	f:destroy();
	return option;
end;

function toggleProTimingDisplay(bShow)
	setenv("ProTiming",bShow);
end;

function ProtimingDisplay()
	local t = {
		-- Name is used to retrieve the header and explanation text.
		Name = "Protiming";
		LayoutType = "ShowAllInRow";
		SelectType = "SelectOne";
		OneChoiceForAllPlayers = true;
		ExportOnChange = false;
		Choices = { 'On','Off' };
		LoadSelections = function(self, list, pn)
			list[1] = true
		end;
		SaveSelections = function(self, list, pn)
			local val;
			if list[2] then
				val = false;
			else
				val = true;
			end
			toggleProTimingDisplay(val);
			SetProTimingOption(val);
		end;
	};
	setmetatable( t, t );
	return t;
end;

