-- ProductivityHelpers: A set of useful aliases for theming.
-- You can find the latest version at http://kki.ajworld.net/wiki/ProductivityHelpers
 
--[[ Actor commands ]]
 
-- Center()
-- Centers an actor using SCREEN_CENTER_X and SCREEN_CENTER_Y.
function Actor:Center()
	self:x(SCREEN_CENTER_X);
	self:y(SCREEN_CENTER_Y);
end;
 
function Actor:CenterX()
	self:x(SCREEN_CENTER_X);
end;
 
function Actor:CenterY()
	self:y(SCREEN_CENTER_Y);
end;
 
-- xy(actorX,actorY)
-- Sets the x and y of an actor in one command.
function Actor:xy(actorX,actorY)
	self:x(actorX);
	self:y(actorY);
end;
 
-- MaskSource()
-- Sets an actor up as the source for a mask.
function Actor:MaskSource()
	self:clearzbuffer(true);
	self:zwrite(true);
	self:blend('BlendMode_NoEffect');
end;
 
-- MaskDest()
-- Sets an actor up to be masked by anything with MaskSource().
function Actor:MaskDest()
	self:ztest(true);
end;
 
--[[ BitmapText commands ]]
 
-- PixelFont()
-- An alias that turns off texture filtering. Named because it works best with pixel fonts.
function BitmapText:PixelFont()
	self:SetTextureFiltering(false);
end;
 
 --[[ Aliases ]]
 
-- Blend Modes
-- Various aliases for the main blend modes used on actors
bmNormal	= 'BlendMode_Normal';
bmAdd		= 'BlendMode_Add';
bmMultiply	= 'BlendMode_WeightedMultiply';
bmInvert 	= 'BlendMode_InvertDest';
bmNoEffect	= 'BlendMode_NoEffect';
 
-- Health Declarations
-- Used primarily for health bars
hsMax	 = 'HealthState_Hot';
hsAlive	 = 'HealthState_Alive';
hsDanger = 'HealthState_Danger';
hsDead	 = 'HealthState_Dead';

-- Stats and Awards

 
-- this code is in the public domain.